# Get loan interest

Endpoint: GET /people/{personId}/loans/{loanId}/interest
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Query parameters:

  - `drawId` (string)
    The draw identifier, if getting interest for a specific draw.

  - `fromEffectiveDate` (string)
    Last day for which to fetch balances

  - `toEffectiveDate` (string)
    Last day for which to fetch balances

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.deferredInterestAccruedAmount` (number)
    The total deferred interest amount accrued between two dates. If the deferred interest promotion is exercised, the deferred interest 
is not expected to be paid.

  - `data.foregoneInterestCapAmount` (number)
    The amount of foregone interest that exceeded the interest cap amount. This is only applicable to installment loans with
`totalInterestCapAmount="true"` set atOrigination.

  - `data.interestAccruedAmount` (number)
    The total interest amount accrued between two dates.

  - `data.interestDiscountAmount` (number)
    The amount of the interest discount between two dates resulting from discounts, promotions, or other adjustments.

  - `data.netInterestAccruedAmount` (number)
    The net interest amount accrued between two dates, including adjustments for discounts and promotions.

